# Uses of Class
org.apache.sling.feature.extension.apiregions.api.config.validation.PropertyValidationResult

Packages that use PropertyValidationResult
Package
Description
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of PropertyValidationResult in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation that return PropertyValidationResult
Modifier and Type
Method
Description
`PropertyValidationResult`
PropertyValidator.`validate(Object value, PropertyDescription desc)`
Validate the value against the property definition
`PropertyValidationResult`
PropertyValidator.`validate(Object value, PropertyDescription desc, Mode mode)`
Validate the value against the property definition
Methods in org.apache.sling.feature.extension.apiregions.api.config.validation that return types with arguments of type PropertyValidationResult
Modifier and Type
Method
Description
`Map<String,PropertyValidationResult>`
FeatureValidationResult.`getFrameworkPropertyResults()`
Get the framework property validation results
`Map<String,PropertyValidationResult>`
ConfigurationValidationResult.`getPropertyResults()`
Get a property validation result for each property of the configuration